From 6e08cd3e533bb4fe09c91b5215aecb69e6abd971 Mon Sep 17 00:00:00 2001
From: Illia Ostapyshyn <ilya.ostapyshyn@gmail.com>
Date: Thu, 22 Jul 2021 00:30:09 +0300
Subject: [PATCH] * lisp/cus-start.el: Add mode-line-compact to Customize

---
 lisp/cus-start.el | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/lisp/cus-start.el b/lisp/cus-start.el
index 3c2625a8c3..4a6d58b638 100644
--- a/lisp/cus-start.el
+++ b/lisp/cus-start.el
@@ -631,6 +631,12 @@ minibuffer-prompt-properties--setter
 	     ;; The whitespace group is for whitespace.el.
 	     (show-trailing-whitespace editing-basics boolean nil
 				       :safe booleanp)
+             (mode-line-compact
+              mode-line
+              (choice (const :tag "Never (nil)" :value nil)
+                      (const :tag "Only if wider than window (long)" :value long)
+                      (const :tag "Always (t)" :value t))
+              "28.1")
 	     (scroll-step windows integer)
 	     (scroll-conservatively windows integer)
 	     (scroll-margin windows integer)
-- 
2.32.0

